Summary:	Small fast daemon to serve DNSBLs
Summary(pl.UTF-8):	Mały, szybki demon obsługujący zapytania DNSBL
Name:		rbldnsd
Version:	0.997a
Release:	1
License:	GPL v2+
Group:		Networking/Daemons
Source0:	http://www.corpit.ru/mjt/rbldnsd/%{name}-%{version}.tar.gz
# Source0-md5:	6d53caa511e003ff31391c6e6a63d2b0
Source1:	%{name}.init
Patch0:		%{name}-werror.patch
URL:		http://www.corpit.ru/mjt/rbldnsd.html
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(rbldns)
Provides:	user(rbldns)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_homedir	/var/lib/rbldns
%define 	_logdir		/var/log/rbldns

%description
rbldnsd is a small authoritate-only DNS nameserver designed to serve
DNS-based blocklists (DNSBLs). It may handle IP-based and name-based
blocklists.

%description -l pl.UTF-8
rbldnsd to mały, wyłącznie autorytatywny serwer nazw (DNS)
zaprojektowany do udostępniania list blokujących opartych na DNS-ie
(DNSBL). Może obsługiwać listy blokujące oparte na IP lub nazwach.

%prep
%setup -q
%patch0 -p1

%build
# not autoconf configure
CFLAGS="%{rpmcflags}" \
CC="%{__cc}" \
./configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,/etc/{sysconfig,rc.d/init.d}}
install -d $RPM_BUILD_ROOT{%{_homedir},%{_logdir}}

install rbldnsd $RPM_BUILD_ROOT%{_sbindir}
install rbldnsd.8 $RPM_BUILD_ROOT%{_mandir}/man8
install debian/rbldnsd.default $RPM_BUILD_ROOT/etc/sysconfig/rbldnsd
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rbldnsd

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 83 rbldns
%useradd -u 37 -r -d %{_homedir} -M -g rbldns -s /bin/false -c "rbldnsd pseudo-user" rbldns

%post
/sbin/chkconfig --add rbldnsd
%service rbldnsd restart

%preun
if [ "$1" = "0" ]; then
	%service rbldnsd stop
	/sbin/chkconfig --del rbldnsd
fi

%postun
if [ "$1" = "0" ]; then
	%userremove rbldns
	%groupremove rbldns
fi

%files
%defattr(644,root,root,755)
%doc NEWS TODO debian/changelog CHANGES-0.81 README.user
%attr(755,root,root) %{_sbindir}/rbldnsd
%attr(754,root,root) /etc/rc.d/init.d/rbldnsd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rbldnsd
%{_mandir}/man8/rbldnsd.8*
%dir %{_homedir}
%dir %attr(775,root,rbldns) %{_logdir}
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rbldnsd.git;a=log;h=master

* Wed May 14 2014 Marcin Krol <hawk@tld-linux.org> c2f8745
- updated to 0.997a

* Wed May 14 2014 Marcin Krol <hawk@tld-linux.org> 6a1c807
- fix build with -Werror=format-security

* Mon Mar 16 2009 Elan Ruusamäe <glen@pld-linux.org> 3f96dc1
- release 2

* Mon Mar 16 2009 Elan Ruusamäe <glen@pld-linux.org> f4d4139
- add logdir

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> b8ac8c1
- up to 0.996b

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 186f33f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ecdc235
- converted to UTF-8

* Fri Sep 08 2006 Elan Ruusamäe <glen@pld-linux.org> a0197de
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

* Sat Apr 15 2006 Elan Ruusamäe <glen@pld-linux.org> 5fdd55f
- rel 2

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 04fbfdb
- completed todo, rel 1; STBR for Ac

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> bcbd00c
- fix service names

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> ff99ebb
- exit codes fix due subshells

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 5615fbf
- more pldize

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 54d950d
- partial pldize

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 4777149
- cp from debian/rbldnsd.init

* Fri Feb 17 2006 Elan Ruusamäe <glen@pld-linux.org> a047fe8
- use %service

* Sun Dec 04 2005 Elan Ruusamäe <glen@pld-linux.org> 30b3704
- adapterized (sorted %verify flags)

* Fri May 13 2005 zbyniu <zbyniu@pld-linux.org> 38c95dc
- up to 0.995

* Sun May 01 2005 Elan Ruusamäe <glen@pld-linux.org> 9c9f849
- use %useradd/%groupadd macros

* Sat Jan 15 2005 matowy <matowy@pld-linux.org> baf7732
- up to 0.994

